/****************************************************************************
**
** Copyright (C) 1992-2006 Trolltech ASA. All rights reserved.
**
** This file is part of the tools applications of the Qt Toolkit.
**
** Licensees holding valid Qt Preview licenses may use this file in
** accordance with the Qt Preview License Agreement provided with the
** Software.
**
** See http://www.trolltech.com/pricing.html or email sales@trolltech.com for
** information about Qt Commercial License Agreements.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/

#include "qwssignalhandler_p.h"

#include <qlist.h>
#include <signal.h>
#include <sys/types.h>
#include <sys/ipc.h>
#include <sys/sem.h>

#include <qdebug.h>

QWSSignalHandler::QWSSignalHandler()
{
    QList<int> signums;

    signums << SIGTERM << SIGINT << SIGQUIT << SIGHUP << SIGILL << SIGSEGV
            << SIGABRT;

    for (int i = 0; i < signums.size(); ++i)
        signal(signums.at(i), handleSignal);
}

void QWSSignalHandler::handleSignal(int signum)
{
    Q_UNUSED(signum);

    const QList<int> semnos = instance()->semaphores.values();
    for (int i = 0; i < semnos.size(); ++i)
        semctl(semnos.at(i), 0, IPC_RMID, 0);

    exit(-1);
}
